<div *ngIf="dish" class="detail-dish">
    <div class="dish-header">
        <div class="dish-header-name">
            <p class="title">{{dish.name}}</p>
            <p class="subtitle">{{dish.calories}} <i>cal</i></p>
        </div>
        <div class="dish-header-actions">
            <p [cdkCopyToClipboard]="shareDish()"><mat-icon class="icon">content_copy</mat-icon> {{dish.uuid}}</p>
        </div>
    </div>
    <mat-divider></mat-divider>
    <div>
        <mat-chip-list aria-label="Main Ingredients">
            <p><mat-chip *ngFor="let ingredient of dish.ingredients">{{ingredient.name}}</mat-chip></p>
        </mat-chip-list>
    </div>
    <div class="dish-description">
        <p>{{dish.description}}</p>
    </div>
    <mat-divider></mat-divider>
    <div class="dish-recipe">
        <p>{{dish.recipe}}</p>
    </div>
</div>